## fpsdisplaysink fpsdisplaysink — Shows the current frame-rate and drop-rate of the videosink as overlay or text on stdout |

## Synopsis

    struct              GstFPSDisplaySink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----GstFPSDisplaySink

## Implemented Interfaces

GstFPSDisplaySink implements GstChildProxy.

## Properties

      "sync"                     gboolean              : Read / Write
      "text-overlay"             gboolean              : Read / Write
      "video-sink"               GstElement*           : Read / Write
      "fps-update-interval"      gint                  : Read / Write
      "max-fps"                  gdouble               : Read
      "min-fps"                  gdouble               : Read
      "signal-fps-measurements"  gboolean              : Read / Write
      "frames-dropped"           guint                 : Read
      "frames-rendered"          guint                 : Read
      "last-message"             gchar*                : Read
      "silent"                   gboolean              : Read / Write

## Signals

      "fps-measurements"                               : Run Last

## Description

Can display the current and average framerate as a testoverlay or on stdout.

### Example launch lines

    1
    2
    3
    4
    gst-launch videotestsrc ! fpsdisplaysink
    gst-launch videotestsrc ! fpsdisplaysink text-overlay=false
    gst-launch filesrc location=video.avi ! decodebin2 name=d ! queue ! fpsdisplaysink d. ! queue ! fakesink sync=true
    gst-launch playbin2 uri=file:///path/to/video.avi video-sink="fpsdisplaysink" audio-sink=fakesink

## Synopsis

### Element Information

plugin | debugutilsbad
author | Zeeshan Ali <zeeshan.ali@nokia.com>, Stefan Kost <stefan.kost@nokia.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstFPSDisplaySink

    struct GstFPSDisplaySink;

## Property Details

### The `"sync"` property

      "sync"                     gboolean              : Read / Write

Sync on the clock (if the internally used sink doesn't have this property it will be ignored.

Default value: TRUE

### The `"text-overlay"` property

      "text-overlay"             gboolean              : Read / Write

Whether to use text-overlay.

Default value: TRUE

### The `"video-sink"` property

      "video-sink"               GstElement*           : Read / Write

Video sink to use (Must only be called on NULL state).

### The `"fps-update-interval"` property

      "fps-update-interval"      gint                  : Read / Write

Time between consecutive frames per second measures and update (in ms). Should be set on NULL state.

Allowed values: >= 1

Default value: 500

### The `"max-fps"` property

      "max-fps"                  gdouble               : Read

Maximum fps rate measured. Reset when going from NULL to READY.-1 means no measurement has yet been done.

Allowed values: >= -1

Default value: -1

### The `"min-fps"` property

      "min-fps"                  gdouble               : Read

Minimum fps rate measured. Reset when going from NULL to READY.-1 means no measurement has yet been done.

Allowed values: >= -1

Default value: -1

### The `"signal-fps-measurements"` property

      "signal-fps-measurements"  gboolean              : Read / Write

If the fps-measurements signal should be emited.

Default value: FALSE

### The `"frames-dropped"` property

      "frames-dropped"           guint                 : Read

Number of frames dropped by the sink.

Default value: 0

### The `"frames-rendered"` property

      "frames-rendered"          guint                 : Read

Number of frames rendered.

Default value: 0

### The `"last-message"` property

      "last-message"             gchar*                : Read

The message describing current status.

Default value: NULL

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Don't produce last_message events.

Default value: FALSE

## Signal Details

### The `"fps-measurements"` signal

    void                user_function                      (GstFPSDisplaySink *fpsdisplaysink,
                                                            gdouble            fps,
                                                            gdouble            droprate,
                                                            gdouble            avgfps,
                                                            gpointer           user_data)           : Run Last

Signals the application about the measured fps

`fpsdisplaysink` : | a GstFPSDisplaySink
`fps` : | The current measured fps
`droprate` : | The rate at which buffers are being dropped
`avgfps` : | The average fps
`user_data` : | user data set when the signal handler was connected.

Since 0.10.20